apiVersion: apps/v1
kind: Deployment
metadata:
  name: iseng-deployment
spec:
  template:
    spec:
      containers:
        - name: application-container
          volumeMounts:
            - name: app-config-volume
              mountPath: /cmd/iseng/config/config.yaml
              subPath: config.yaml
              readOnly: true
      volumes:
        - name: app-config-volume
          secret:
            secretName: iseng-config
            